Subject: I-D Action:draft-ietf-6man-text-addr-representation-05.txt

From: [email-masked]
Date: Tue, 16 Feb 2010 18:30:02 -0800 (PST)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 Maintenance Working Group of the IETF.

	Title           : A Recommendation for IPv6 Address Text Representation
	Author(s)       : S. Kawamura, M. Kawashima
	Filename        : draft-ietf-6man-text-addr-representation-05.txt
	Pages           : 14
	Date            : 2010-02-16

As IPv6 network grows, there will be more engineers and also non-
engineers who will have the need to use an IPv6 address in text.
While the IPv6 address architecture RFC 4291 section 2.2 depicts a
flexible model for text representation of an IPv6 address, this
flexibility has been causing problems for operators, system
engineers, and users.  This document will describe the problems that
a flexible text representation has been causing.  This document also
recommends a canonical representation format that best avoids
confusion.  It is expected that the canonical format is followed by
humans and systems when representing IPv6 addresses as text, but all
implementations must accept and be able to handle any legitimate
RFC4291 format.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-6man-text-addr-representation-05.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Seiichi Kawamura <[email-masked]>
Date: Wed, 17 Feb 2010 11:50:58 +0900

Hi

I have uploaded the new version of the draft.
I hope this addresses the issues that were raised.

I have removed the Conclusion part since
Section 4 is now clear and concise.
Thank you Ron, for providing good text in IESG COMMENT.

Regards,
Seiichi

[email-masked] wrote:
> ------------------------------------------------------------------------
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 17 Feb 2010 15:44:33 +0100

HEllo, and thank you for this draft.

I have been following it and I mostly agree with the technical content.
  No restrain there.

However, I have a strong doubt with respect to the licensing scheme of
this draft: its preamble requires "Code Components" within to be
"Simplified BSD License".

I would suggest to rather have no such licensing scheme for this draft,
mostly because other licenses may be more appropriate for this
particular draft (for example, if it gets implemented in GNU Libc then
it would want to be GPL, not BSD, not a combination).

I understand it may be that there may be no Code Components in this
draft.  However, when I read it I feel precisely how to code it.  When
coding it, the "::" string is part of the code.

I also understand the preamble (boilerplate) is an IETF Trust rule
applied throughout.  TO which I am bound to agree.

Respectfully,

Alex

Le 17/02/2010 03:50, Seiichi Kawamura a écrit :
> -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1
>
> Hi
>
> I have uploaded the new version of the draft. I hope this addresses
> the issues that were raised.
>
> I have removed the Conclusion part since Section 4 is now clear and
> concise. Thank you Ron, for providing good text in IESG COMMENT.
>
> Regards, Seiichi
>
>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories. This draft is a work item of the IPv6 Maintenance
>> Working Group of the IETF.
>>
>>
>> Title           : A Recommendation for IPv6 Address Text
>> Representation Author(s)       : S. Kawamura, M. Kawashima Filename
>> : draft-ietf-6man-text-addr-representation-05.txt Pages           :
>> 14 Date            : 2010-02-16
>>
>> engineers, and users.  This document will describe the problems
>> that a flexible text representation has been causing.  This
>> document also recommends a canonical representation format that
>> best avoids confusion.  It is expected that the canonical format is
>> followed by humans and systems when representing IPv6 addresses as
>> text, but all implementations must accept and be able to handle any
>> legitimate RFC4291 format.
>>
>> IETF IPv6 working group mailing list [email-masked] Administrative
>> Requests: https://www.ietf.org/mailman/listinfo/ipv6
-----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.9 (MingW32)
>
> iEYEARECAAYFAkt7WZEACgkQcrhTYfxyMkKWVQCfd7Lda1L7plEKiaWSRD48V+kt
> 9qIAn3BQ5BjrcOit0U7vPaXnVgkmC/yg =Sifs -----END PGP SIGNATURE-----
> IETF IPv6 working group mailing list [email-masked] Administrative
> Requests: https://www.ietf.org/mailman/listinfo/ipv6

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 18 Feb 2010 10:08:38 +1300

Alex,

I think you are worrying about nothing. Somehow, I doubt
whether the IETF Trust will sue you over copyright infringement
for "::". Can we keep this discussion over on the appropriate
lists where you have started it?

Regards
   Brian Carpenter

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 17 Feb 2010 22:31:58 +0100

Le 17/02/2010 22:08, Brian E Carpenter a écrit :
> Alex,
>
> I think you are worrying about nothing. Somehow, I doubt whether the
> IETF Trust will sue you over copyright infringement for "::". Can we
> keep this discussion over on the appropriate lists where you have
> started it?

Brian, yes, thanks for the reply.  YEs, I doubt too IETF Trust will sue
me over copyright infringement for "::".  It's just an example.  A MIB
document, or a IANA table is probably more worrying to me.

Where should I concentrate about the disagreement of "Code Components
... BSD" - on ipr-wg or on tlp-interest? thanks.

There is interest and reply on ipr-wg list however it looks
less official to me in that it's not a WG list.  I hope I don't spend my
time for little gain on this list, all due respect.  I have another
reason to doubt about this list because, err, how to put it correctly,
people can't post on ietf list but can post on ipr-wg... I don't want to
be forbidden to post on [email-masked] list.

There's no reply on tlp-interest list until now.

I try to post to xml2rfc - no success no error either.

I get bounces when Ccing [email-masked] - is it simply technical
error?  Is it Trustees don't want to hear from anybody like me?

Sorry, I have to wait, it's all way too complicated for me.  I will shut
up here.

Alex

> Regards Brian Carpenter
>> I have been following it and I mostly agree with the technical
>> content. No restrain there.
>>
>> However, I have a strong doubt with respect to the licensing
>> scheme of this draft: its preamble requires "Code Components"
>> within to be "Simplified BSD License".
>>
>> I would suggest to rather have no such licensing scheme for this
>> draft, mostly because other licenses may be more appropriate for
>> this particular draft (for example, if it gets implemented in GNU
>> Libc then it would want to be GPL, not BSD, not a combination).
>>
>> draft.  However, when I read it I feel precisely how to code it.
>> When coding it, the "::" string is part of the code.
>>
>>> I have uploaded the new version of the draft. I hope this
>>> addresses the issues that were raised.
>>>
>>> I have removed the Conclusion part since Section 4 is now clear
>>> and concise. Thank you Ron, for providing good text in IESG
>>> COMMENT.
>>>
>>> Regards, Seiichi
>>>
>>>
>>>> A New Internet-Draft is available from the on-line
>>>> Internet-Drafts directories. This draft is a work item of the
>>>> IPv6 Maintenance Working Group of the IETF.
>>>>
>>>>
>>>> Representation Author(s)       : S. Kawamura, M. Kawashima
>>>> Pages           : 14 Date            : 2010-02-16
>>>>
>>>> As IPv6 network grows, there will be more engineers and also
>>>> non- engineers who will have the need to use an IPv6 address
>>>> in text. While the IPv6 address architecture RFC 4291 section
>>>> 2.2 depicts a flexible model for text representation of an
>>>> IPv6 address, this flexibility has been causing problems for
>>>> operators, system engineers, and users.  This document will
>>>> describe the problems that a flexible text representation has
>>>> been causing.  This document also recommends a canonical
>>>> representation format that best avoids confusion.  It is
>>>> expected that the canonical format is followed by humans and
>>>> systems when representing IPv6 addresses as text, but all
>>>> implementations must accept and be able to handle any
Internet-Drafts are also available by anonymous FTP at:
>>>> Below is the data which will enable a MIME compliant mail
>>>> reader implementation to automatically retrieve the ASCII
>>>> version of the Internet-Draft.
>>>>
>>>>
>>>> IETF IPv6 working group mailing list [email-masked]
>>>> Administrative Requests:
>>>> https://www.ietf.org/mailman/listinfo/ipv6

---

From: Роман Донченко <[email-masked]>
Date: Thu, 18 Feb 2010 01:48:56 +0300

Seiichi Kawamura <[email-masked]> писал в своём письме Wed, 17 Feb  

> Thank you Ron, for providing good text in IESG COMMENT.

I like how Section 5 looks now, except for a few bits.

> Such prefixes are defined in [RFC4291] and [RFC5214] at the time of
                                              ^^^^^^^^^
RFC 5214 (ISATAP) doesn't define a well-known prefix. Did you mean RFC  
2765/draft-ietf-behave-address-format?
	
> writing.  If it is known by some external method that a given prefix
                                                                 ^^^^^^	
> includes an IPv4 address, it MAY be represented as mixed notation.

I suggest to rephrase that as "... that a given address embeds an IPv4  
address, ...", since prefixes themselves don't contain addresses.

And I'd like to repeat my previous suggestion of placing an example of  
mixed notation in Section 1, so that is covers all syntactical features.

Roman.

---

From: Seiichi Kawamura <[email-masked]>
Date: Thu, 18 Feb 2010 17:39:59 +0900

Hi Roman

Thanks for catching the bugs.
I'll have it fixed before the weekend.

> 2765/draft-ietf-behave-address-format?

RFC2765, which will probably be obsoleted by the dehave draft.

Regards,
Seiichi

---

From: Francis Dupont <[email-masked]>
Date: Mon, 22 Feb 2010 14:34:24 +0000

In your previous mail you wrote:

=> about "::" I believe I have the anteriority:
 - I sent a mail in the early days of IPv6 about "::" asking it would
  be given as an example in the addressing draft (an address without
  a digit could be a bit surprising)
 - as I am French the French law (here the Bern Treaty) applied to
  my message (before arguing about this the French law includes too
  a special feature against silly suing so lawyers have no interest :-)

BTW I don't understand your concern with the BSD code license, it is
not an exclusive license in its default form (as far as I know only
OpenSSL includes an exclusive BSD license for the SSLeay inherited part).

Regards

[email-masked]